All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <djwong@kernel.org>
To: djwong@kernel.org, guaneryu@gmail.com
Cc: Allison Henderson <allison.henderson@oracle.com>,
	Chandan Babu R <chandanrlinux@gmail.com>,
	Eric Biggers <ebiggers@google.com>,
	linux-xfs@vger.kernel.org, fstests@vger.kernel.org, guan@eryu.me,
	amir73il@gmail.com, ebiggers@kernel.org
Subject: [PATCH 08/13] fstests: convert nextid to use automatic group generation
Date: Mon, 21 Jun 2021 16:10:50 -0700	[thread overview]
Message-ID: <162431705041.4090790.3664142527610163884.stgit@locust> (raw)
In-Reply-To: <162431700639.4090790.11684371602638166127.stgit@locust>

From: Darrick J. Wong <djwong@kernel.org>

Convert the nextid script to use the automatic group file generation to
figure out the next available test id.

Signed-off-by: Darrick J. Wong <djwong@kernel.org>
Reviewed-by: Allison Henderson <allison.henderson@oracle.com>
Reviewed-by: Chandan Babu R <chandanrlinux@gmail.com>
Reviewed-by: Eric Biggers <ebiggers@google.com>
---
 tools/nextid |    1 -
 tools/nextid |   31 +++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)
 delete mode 120000 tools/nextid
 create mode 100755 tools/nextid


diff --git a/tools/nextid b/tools/nextid
deleted file mode 120000
index 5c31d602..00000000
--- a/tools/nextid
+++ /dev/null
@@ -1 +0,0 @@
-sort-group
\ No newline at end of file
diff --git a/tools/nextid b/tools/nextid
new file mode 100755
index 00000000..9507de29
--- /dev/null
+++ b/tools/nextid
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# Compute the next available test id in a given test directory.
+
+if [ $# != 1 ] || [ "$1" = "--help" ] || [ ! -d "tests/$1/" ]; then
+	echo "Usage: $0 test_dir"
+	exit 1
+fi
+
+. ./common/test_names
+
+i=0
+eof=1
+
+while read found other_junk;
+do
+	i=$((i+1))
+	id=`printf "%03d" $i`
+	if [ "$id" != "$found" ]; then
+		eof=0
+		break
+	fi
+done < <(cd "tests/$1/" ; ../../tools/mkgroupfile | \
+	 grep "^$VALID_TEST_NAME\>" | tr - ' ')
+
+if [ $eof -eq 1 ]; then
+   i=$((i+1))
+   id=`printf "%03d" $i`
+fi
+
+echo "$1/$id"


  parent reply	other threads:[~2021-06-21 23:10 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-21 23:10 [PATCHSET v3 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 01/13] fstests: fix group check in new script Darrick J. Wong
2021-06-21 23:10 ` [PATCH 02/13] misc: move exit status into trap handler Darrick J. Wong
2021-06-21 23:10 ` [PATCH 03/13] fstests: refactor test boilerplate code Darrick J. Wong
2021-06-21 23:10 ` [PATCH 04/13] fstests: add tool migrate group membership data to test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 05/13] fstests: clean up open-coded golden output Darrick J. Wong
2021-06-21 23:10 ` [PATCH 06/13] fstests: move test group info to test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 07/13] fstests: automatically generate group files Darrick J. Wong
2021-06-21 23:10 ` Darrick J. Wong [this message]
2021-06-21 23:10 ` [PATCH 09/13] fstests: adapt the new test script to our new group tagging scheme Darrick J. Wong
2021-06-21 23:11 ` [PATCH 10/13] check: use generated group files Darrick J. Wong
2021-06-21 23:11 ` [PATCH 11/13] fstests: remove " Darrick J. Wong
2021-06-21 23:11 ` [PATCH 12/13] fstests: remove test group management code Darrick J. Wong
2021-06-21 23:11 ` [PATCH 13/13] misc: update documentation to reflect auto-generated group files Darrick J. Wong
  -- strict thread matches above, loose matches on Subject: below --
2021-06-14 20:58 [PATCHSET v2 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-14 20:59 ` [PATCH 08/13] fstests: convert nextid to use automatic group generation Darrick J. Wong
2021-06-16 20:54   ` Eric Biggers
2021-06-08 17:19 [PATCHSET v1 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-08 17:20 ` [PATCH 08/13] fstests: convert nextid to use automatic group generation Darrick J. Wong
2021-06-11  6:31   ` Chandan Babu R
2021-06-11 23:46   ` Eric Biggers
2021-06-12  0:40     ` Darrick J. Wong
2021-06-14  5:38   ` Allison Henderson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=162431705041.4090790.3664142527610163884.stgit@locust \
    --to=djwong@kernel.org \
    --cc=allison.henderson@oracle.com \
    --cc=amir73il@gmail.com \
    --cc=chandanrlinux@gmail.com \
    --cc=ebiggers@google.com \
    --cc=ebiggers@kernel.org \
    --cc=fstests@vger.kernel.org \
    --cc=guan@eryu.me \
    --cc=guaneryu@gmail.com \
    --cc=linux-xfs@vger.kernel.org \
    --subject='Re: [PATCH 08/13] fstests: convert nextid to use automatic group generation' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.